pcaModels.BigBang {galgo} | R Documentation

## Plots models in principal components space

### Description

Plots models in principal components space.

### Usage

    ## S3 method for class 'BigBang'
    pcaModels(	O,
    	models,
    	data=O$data$data,
    	traspose=FALSE,
    	center=TRUE,
    	scale=TRUE,
    	subset=NULL,
    	main=O$main,
    	sampleColors=NULL,
    	sampleNames=NULL,
    	npc=4,
    	pch=19,
    	gap=0.25,
    	classes=NULL,
        show.loadings=FALSE,
        loadings.round=6,
        labels=TRUE,
        order=0,
        col=1:200,
        columns=NULL,
        jitterFactor=0,
    	...)

### Arguments

`models` | The models(chromosomes) to plot. It can be a chromosome list or models resulted from `forwardSelectionModel`.
`data` | Data if this is not provided in `$data$data` from the `BigBang` object.
`traspose` | Traspose the data (for display and data restrictions).
`subset` | To limit the usage of `models`.
`center` | Logical value indicating whether scalling by genes to mean 0. See `prcomp`.
`scale` | Logical value indicating whether scalling by genes to 1 variance. See `prcomp`.
`main,gap,pch` | Plot parameters (method pairs). If `pch==NULL`, `sampleColors` are used instead.
`sampleColors` | Colors for samples.
`sampleNames` | To plot the samples names. Use the variable `$sampleNames` to from the `BigBang` object.
`classes` | Sample classes. The default is using `$classes` from bigbang object.
`...` | Other parameters for `pairs` (or `plot`) function.

### Value

Returns the results of prcomp in a list.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `BigBang`., `*plot()`, `*forwardSelectionModels()`, `prcomp`(), `princomp`().

### Examples

    ## Not run:
       #bb is a BigBang object
       pcaModels(bb, bb$bestChromosomes[1])

       fsm <- forwardSelectionModels(bb)
       fsm
       names(fsm)
       heatmapModels(fsm, subset=1)
       fsm <- forwardSelectionModels(bb, minFitness=0.9,
       fitnessFunc=bb$galgo$fitnessFunc)
       heatmapModels(fsm, subset=1)
       pcaModels(fsm, subset=1)
       fitnessSplits(bb, chromosomes=list(fsm$models[[1]]))

    ## End(Not run)

[Package galgo version 1.4 Index]